#Module-Specific definitions
%define mod_version 2.0.4
%define mod_name mod_xslt
%define mod_conf 25_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}

%define apache_version 2.0.54

# Standard Module Definitions
%define name apache-%{mod_name}
%define version %{apache_version}_%{mod_version}

Summary:	Mod_xslt is a DSO module for the apache web server
Name:		%{name}
Version:	%{version}
Release:	%mkrel 2
Group:		System/Servers
License:	GPL
URL:		http://sourceforge.net/projects/mod-xslt/
Source0:	mod_xslt.%{mod_version}.tar.bz2
Source1:	%{mod_conf}.bz2
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.0.54
Requires(pre):	apache >= %{apache_version}
Requires:	apache-conf >= 2.0.54
Requires:	apache >= %{apache_version}
BuildRequires:	apache-devel >= %{apache_version}
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	pkgconfig
BuildRequires:	file
Provides:	apache2-mod_xslt
Obsoletes:	apache2-mod_xslt
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This is an apache Module (>=2.0.40) based on libxml2 (>=2.4.23)
and libxslt (>=1.0.19) used to parse XML content via XSLT

%prep

%setup -q -n mod_xslt.%{mod_version}

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build

%{_sbindir}/apxs -c \
    `pkg-config --cflags --libs libxslt` \
    `pkg-config --cflags --libs libxml-2.0` \
    mod_xslt.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

install -d %{buildroot}%{_var}/www/html/addon-modules
ln -s ../../../..%{_docdir}/%{name}-%{version} %{buildroot}%{_var}/www/html/addon-modules/%{name}-%{version}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog.txt README.txt
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}
%{_var}/www/html/addon-modules/*

%changelog
* Sat Jul 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.0.4-2mdk
- fix deps

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_2.0.4-1mdk
- rename the package
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1:2.0.53_2.0.4-5mdk
- use the %%mkrel macro

* Tue Mar 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.0.4-4mdk
- fix #14363 

* Mon Feb 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.0.4-3mdk
- fix %%post and %%postun to prevent double restarts
- fix bug #6574

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.0.4-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Mon Feb 14 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1:2.0.53_2.0.4-1mdk
- 2.0.4 (a total rewrite?)

* Tue Feb  8 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1:2.0.53_1.0.0-1mdk
- rebuilt for apache 2.0.53

* Tue Sep 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_1.0.0-1mdk
- built for apache 2.0.52

* Thu Sep 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.51_1.0.0-1mdk
- built for apache 2.0.51

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_1.0.0-0.1mdk
- built for apache 2.0.50
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_1.0.0-0.1mdk
- built for apache 2.0.49

* Tue Nov 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_1.0.0-0.2mdk
- rebuilt against new libxml2 and libxslt libs

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_1.0.0-0.1mdk
- built for apache 2.0.48

* Wed Sep 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_1.0.0-0.1mdk
- 1.0.0rc1 is never than 1.0.5a (!)
- fix explicit-lib-dependency

* Sat May 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_1.0.5a-1mdk
- rebuilt for apache v2.0.46
- buildprereq ADVX-build >= 9.2

* Tue Apr 29 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_1.0.5a-2mdk
- new S1

* Tue Apr 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_1.0.5a-1mdk
- cosmetic rebuild for apache v2.0.45 

* Mon Mar 03 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44_1.0.5a-3mdk
- Fix index.xml and config file

* Mon Mar 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_1.0.5a-2mdk
- rebuilt against latest buildrequires
- misc spec file fixes

* Tue Jan 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_1.0.5a-1mdk
- rebuilt for apache v2.0.44

* Mon Jan 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_1.0.5a-5mdk
- fix buildrequires apache-devel >= 2.0.53-1mdk, as 
  pointed out by Olivier Thauvin

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_1.0.5a-4mdk
- rebuilt against rebuilt buildrequires

* Tue Jan 14 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_1.0.5a-3mdk
- build against latest BuildRequires

* Mon Jan 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_1.0.5a-2mdk
- Rebuilt with the new apache-devel that uses /usr/sbin/apxs2 and
  /usr/include/apache2

* Mon Nov 04 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_1.0.5a-1mdk
- thanks to Frederic Crozat for the corrections and hint to use "pkg-config"
- initial cooker contrib

